EldoS TimelyWeb - Version 4.1.0.195 - Released Aug 4, 2003
-----------------------------------------------------------


What's new:

                              [           Legend:          ]
                              [ + Added feature            ]
                              [ * Improved/changed feature ]
                              [ - Bug fixed (we hope)      ]

---
Aug 4, 2003
v.4.1.0.195     Official release
				+ Now TimelyWeb imports cookies from Internet Explorer
				+ It is possible to explicitly specify the version of HTTP protocol to use (1.0 or 1.1) 
				* Now one can see link properties in read-only mode 
                * Log is truncated much more effectively now, so there is no need to turn it off to speed up application shutdown
		
---
July 3, 2003
v.4.0.0.194     Minor update
				- Fixed issues with password edit boxes
				- Fixed an issue with authentication

---
June 30, 2003
v.4.0.0.193     Minor update
				- Fixed some issues with edit boxes
				- Fixed various XP Theme issues
				- Changed images for disabled toolbar buttons
				- Fixed several minor bugs in HTTP client
---
June 11, 2003
v.4.0.0.192     Minor update
				- Fixed some issues with HTTP client
				- Fixed a bug with "POP before SMTP" authentication in SMTP client
				- Updated HTTPS client

---
June 9, 2003
v.4.0.0.190     Minor update
				+ Added proxy exclusion list
				+ Now HTML Difference page with all images can be attached to e-mail
				- Fixed sorting by Last Modified column
				- Fixed some issues with HTTP client

---
June 6, 2003
v.4.0.0.189     Minor update
				- Fixed incorrect sorting by Modified column
				- Send E-mail option was not saved to settings after application shutdown. Fixed
				* Now the tree is updated at midnight to reflect the date change
---
June 1, 2003
v.4.0.0.188     Minor update
				+ Now Web page can be attached to the letter in SMTP e-mail mode too
				+ file protocol is working. You can monitor local or network files or folders now.
				- Some fixes were made to Attach Web Page option
				- Incorrect setup of IIS Web server could lead to infinite loop (when NTLM authentication is used). Fixed.

---
May 24, 2003
v.4.0.0.187     Minor update
				- POST method stopped working. Fixed.
				+ Added several supplementary keyboard shortcuts.
				+ Pressing Enter on the link executes the same action as double-click.

---
May 11, 2003
v.4.0.0.186     Minor update
				- It was not possible to enter more than one symbol in Description box on the left of the list. Fixed.
				- More fixes to HTTP client
				+ Added possibility to select which versions of SSL/TLS TimelyWeb should use

---
May 10, 2003
v.4.0.0.185     Minor update
				- Fixed minor problems with saving log file
				- fixed problem with some servers that give chunked 
				encoding (again :()

---
May 7, 2003
v.4.0.0.184     Maintenance release
				- Fixed problem with servers that give chunked encoding.

---
May 6, 2003
v.4.0.0.183     Maintenance release
				- Fixed different problems caused by changing protocol version in HTTP client (keep-alive added)
				- Fixed a problem with content analyser which failed on incomplete HTML files
				- Fixed most (if not all) memory leaks
				! some servers can't be analysed now. This happens with chunked encoding.

---
May 2, 2003
v.4.0.0.182     Minor update
				- Fixed several minor bugs with HTTPS protocol and NTLM authentication.

---
May 1, 2003
v.4.0.0.181     Release
				- Fixed several minor bugs

---
April 16, 2003
v.4.0.0.176      Pre-release version
				- Fixed IE integration that seemed to be broken in build 173
				- Fixed some memory leaks
				+ Added template selection
				+ Fixed EHLO problems with E-Mail delivery (if the server doesn't keep EHLO, no HELO was sent)

---
March 26, 2003
v.4.0.0.173      Beta version
				! No more freeware version.
				+ Added archiving page version with images to some folder
				+ Added ICQ notifications
				+ Added copying of properties
				* Fixed some problems with IE engine (damn Micro$oft) 				
				Page printing does not work yet

---
March 18, 2003
v.3.3.0.171     Minor update
				* Fixed a bug with export to IE Favorites
				* Fixed a bug with running external command
				* Fixed a bug with unknown FTP replies
				* Fixed memory leak in HTML Difference creation
				+ Added NTLM authentication
				+ Changed HTTPS client

---
January 31, 2003
v.3.3.0.165     Minor update
				* Fixed a bug with demo message window
				* Fixed a bug with adding a link

---
January 24, 2003
v.3.3.0.163     Major update
				! Changed file format to improve save speed
				* Fixed bug with sorting by Last Modified/Last Visit time
				* Fixed the AV that happened when Link properties window was closed by Cancel button for new links
				* Fixed an AV that happened sometimes when the application was closed
				* Fixed the bug with protocol window being shown on the right even when protocol window was turned off

---
December 3, 2002 
v.3.3.0.156     Minor update
				+ click on the tray icon brings TimelyWeb to foreground in "always show tray icon" mode
				* fixed the problem with checkng the link if time interval is set as (for example) from 12:00 to 0:00
				* fixed Mozilla option setting when opening Application properties dialog

---
18 November 2002 
v.3.3.0.147     Minor update
				* Fixed the problem with tray menu positioning
				* added extended error detection and reporting
				* added diagnostics to SMTP delivery

---
14 November 2002 
v.3.3.0.146     Minor update
				+ Added XML and CSV export templates
				+ Added several macros to e-mail notifications (lastcheckdatetime, lastchangedatetime, lastvisitdatetime) 
				* Fixed several bugs

---
21 September 2002 
v.3.3.0.145     Minor update
                + Added SOCKS support (finally)
                + Added separate settings for HTTPS proxy
                + Added option for no-cache option in HTTP request. Use with proxies that seem to work incorrectly.
                - Fixed the problem with anchor (#) when tracking HTML difference 
                - Fixed build 144 problem with disabled OK button in analysis rule editor dialogs

---
15 September 2002 
v.3.3.0.144     Minor update
                - Fixed a problem with running on Pentium 4 processors.


---
10 September 2002 
v.3.3.0.143     Minor update
                - Fixed a bug with keyword search
                - Fixed a problem with protocol window which displayed only one line in the log

---
5 September 2002 
v.3.3.0.141     Minor update
                + Added optional expansion of the branch if the item state was updated
                + Added possibility to re-check the links, marked as unreachable. 
                + Protocol window can be moved to the right of the links list now
                + Using "Check" command on the folder checks all links and subfolders
				- Fixed changing view settings on View page of Application options dialog
                - Protocol window is cleared when folder is selected
                - Fixed issues with Last Change time displaying
                - Fixed drag'n'drop of links from Mozilla (1.1)
                - "Open in ..." as notification opened the link that was monitored, not the one that was set to be open

---
16 August 2002 
v.3.3.0.138     Very minor update
				+ When overwriting a file, TimelyWeb asks whether it should overwrite.
				- Opening other file could crash TimelyWeb (registered version only). Fixed.


---
15 August 2002 
v.3.3.0.137     Official release
				+ Added handling of non-standard cookies
				+ Icons changed 


---
23 July 2002 
v.3.3.0.135     Release candidate 2
				+ Added Highlight changes to the list of possible default double-click actions
				+ Added multi-stage extended login
				* improved adding new cookie
				* Improved HTML difference tracking
				- Fixed loading lists with "waiting" links
				- Fixed the problem with deleting site data when another file is being opened
				- Fixed minor problems with some links
				- Fixed "Highlight changes" command execution if the path to the folder with local file contains spaces.
				- Cookies were not set for https:// requests
				- Fixed setting of POST params
				
---
12 July 2002 
v.3.3.0.134     Release candidate 1
				- Fixed cookie editing to make it possible to edit path and port
				+ Added handling of "X-Revisit: " HTTP header
				* Added a warning when check period is set to less than one day

---
9 July 2002 
v.3.3.0.133     Beta version
				- Fixed the problem with editing an "include" rule in content analysis
				+ Added cookie editing


---
2 July 2002 
v.3.2.0.132     Major update
				- Fixed some problems with handling timeouts during connection and data retrieval via HTTP
				+ Added keyword monitoring

---
12 June 2002 
v.3.2.0.131     Minor update
                - Fixed the bug with impossibility to abort HTTP link checking during second and next attempts
                - Fixed the problem with impossibility to take one more attempt after timeout
                - Fixed several translation issues
                - Fixed various minor bugs
                - Fixed the bug with initial setting of file date and size for FTP links
                - Fixed the problem with "blocked" check operation for HTTPS links when it was not possible to create local file for file contents

---
25 May 2002 
v.3.2.0.129     Minor update
                - Fixed various minor bugs
                + Added possibility to open different URL from the one that is monitored

---
12 May 2002 
v.3.2.0.127     Minor update
                - Fixed various minor bugs

---
2 May 2002
v.3.2.0.125     Major update
                + Added cookies support (now without cookie editing)
                - Fixed the problem with URLs that contain anchor ('http://somehost.com/sample.html#anchor')
                - Fixed problem with long URLs that have request strings   
                - Fixed the bug with notification window, which could cause Access Violation error when pressing Reset Link State buttons

---
24 Apr 2002
v.3.2.0.124     Minor update
                - Fixed the bugs that happened when time separator was not ":"

---
23 Apr 2002
v.3.2.0.123     Minor update
                + Added support for GetRight, Mozilla and Opera
                + Fixed bug with first-time check of the links

---
20 Apr 2002
v.3.2.0.122     Minor update
                - Links in difference pages were spoiled. Fixed.
                - Counters were not always working right. Fixed.
                + Added search function
                + Added possibility to specify the list of e-mail recepients in file

---
06 Apr 2002
v.3.2.0.121     Minor update
                + now one can call "Highlight changes" command from context menu
                + Added timeout for connections 
                - Kind of fixed the problems with HTML difference tracking 
                - Path to NetVampire was not saved. Fixed

---
3 Apr 2002
v.3.2.0.120     Minor update
                - Added workaround for strange IE parser behaviour that  causes crashes during HTML difference tracking

---
31 Mar 2002
v.3.2.0.119     Minor update
                + Added possibility to specify interval between attempts
                + Added menu commands to show change/error notification windows
                - fixed counting of dead/unreachable links that are disabled/enabled
                - fixed possible problem with some links that are redirected (such links could "freeze")
                - fixed an error that happened when settings for download options were not set correctly for editing in default link properties dialog 


---
27 Mar 2002
v.3.2.0.118     Major update
                + Added POST requests
                + Added possibility to specify custom referer for every link
                + Added option for change highlight coloring setup
                + Added Registration Code dialog
                * Now it's possible to abort or remove Link Modified mark more than one link
                - fixed an error that happened when settings for download options were selected in default link properties dialog 

---
22 Mar 2002
v.3.2.0.117     Minor update
                + Added Next Check and Check Frequency columns
                + Added an option to show colored lines in tree
                - problem with content analysis of some web pages was fixed
                - delivery of messages to multiple recipients via MAPI fixed
                - manual opening of the HTML difference didn't work. Fixed.

---
19 Mar 2002
v.3.2.0.116     Official release
                + Added "Execute application" action on link change or error
                + Added "Net send" action on link change or error
                - fixed links transformation when tracking of difference in web page revisions
                - It was not possible to save the subject for e-mails. Fixed. 
                - It was not possible to re-enable authorization type on e-mail configuration page. Fixed.
                - fixed download folder setting spoiled recently
                - fixed a problem with adding new links in unregistered version

---
12 Mar 2002
v.3.2.0.114     Beta version
                + Added tracking of difference in web page revisions
                - Fixed an error that appeared when TimelyWeb was launched on NT 4.0 without RAS service installed

---
10 Mar 2002
v.3.1.0.112     Minor update
                - Internet Explorer crashed when trying to pass the URL to TimelyWeb using toolbar button. Fixed
                * Macros in URLs got documented

---
7 Mar 2002
v.3.1.0.111     Major update
                + Added macros in URLs. Now only a few macros are supported (test mode)
                + Added New Folder button in Add Links dialog
                + Running another instance of TimelyWeb activates previous window, restores the window from tray and brings it to foreground
                + Added "reset all links" button in change notification window
                + Added "Check unreachable" command to Links menu 
                + Now it's possible to specify username/password for MAPI mail delivery 
                - Timelyweb stopped at first attempt when trying to check the link that was not accessible
                -  Fixed the problem with incorrect attempt counting
                - Fixed automatic update of screenshots for HTTPS links
                - Fixed last change time setting for links with content analysis enabled
                - Fixed a serious multithreading bug in HTTPS handler that 
                  often caused blocking of the application
                - fixed a problem with adding new links in unregistered version

---
24 Feb 2002
v.3.1.0.110     Minor update
                + now it's possible to specify subject field for e-mail notifications

---
23 Feb 2002
v.3.1.0.109     Minor update
                + Data storage folder path is configurable now
                + columns width in main tree can be adjusted by double-clicking on column separator
                * columns order is saved across sessions now
                + now the tree column can contains either URLs (as before) or descriptions   

---
19 Feb 2002
v.3.1.0.108     Official release
                * Improved screenshot capturing. Now it's more reliable.
                * Redesigned left panel for easier manipulation. 
                - fixed possible Access Violation error that happens when the application is closed and there were screenshots update during last session.
                - fixed handling of HTTP documents with with zero length
                - fixed log window "freezing" that happened after the link was deleted
                + Added configurable User Agent HTTP header
                + Added possibility to "flag" the site in the main list of links.
                + Added possibility to show/hide columns in the main list of links

---
15 Feb 2002
v.3.1.0.107     Pre-release
                * Internet Explorer integration enabled in Windows XP
                + Added Apply button to Application options dialog
                + An option to edit link properties on double-click was added
                * Added possibility to hide/show drop basket from tray menu and basket menu
                + Now description is placed to e-mail/SMS notification if it is present  

                * New log window 
                + Ready for localization
                - There was an error that happened when the link was present in notification windows and was deleted by the user at this time
                - "Don't show again" option in confirmation windows didn't work
                - original data file was deleted in content analysis algorithm  in certain cases 
                + Possibility to clear log was added

---
3 Feb 2002
v.3.1.0.101     Minor update
                - Disable all sounds setting was not saved. Fixed.
                - Content analysis bug fixed - first exclude tag was not 
                  taken into account.

---
1 Feb 2002
v.3.1.0.100     Minor update
                - Content analysis in HTTPS protocol was not working. Fixed

---
31 Jan 2002
v.3.1.0.99      Major update
                + HTTPS protocol support added

---
1 Feb 2002
v.3.0.0.95      Minor update
                - Fixed crash during application shutdown
                - Download folder was not saved. Fixed.

---
31 Jan 2002
v.3.0.0.94      Minor update
                - It was impossible to disable automatic document saving. 	                
                - Error could happen if the application was closed while checks were active

---
26 Jan 2002
v.3.0.0.91      Minor update
                - IE integration didn't work on some computers. Fixed.
                * HTTPS links are blocked now 
                  (HTTPS support is in development)

---
24 Jan 2002
v.3.0.0.89      Minor update
                - Some servers didn't close connection after check. Workaround added.
                * Added support for Reget 2.x (Deluxe and Junior). ReGet 1.x is not supported anymore.

---
22 Jan 2002
v.3.0.0.87      Official release
                - Some servers respond with 404 error (Resource not found) to HTTP HEAD command. Special processing added for such servers.
                * When dial-up connection is broken, the links being checked are placed to check queue. Earlier they were put to "Error" state.
                * "Abort" operation removes the site from check queue.
                * Deletion confirmations can be disabled right from confirmation window
                + On first launch of the application the links are imported from "IE favorites" (Internet Explorer bookmarks)
                + Added an option to use Windows Close button to minimize main window. 
                - Improved dial-up handling algorithm. 
                  

---
09 Jan 2002
v.3.0.0.83      Beta version
                - Disabling of the basket caused an error. 
                - Fixed erorr with launching TimelyWeb when using IE integration option (toolbar button, context menu). Still doesn't work on WinXP.
                - Dial-up connection detection fixed.
          

---
07 Jan 2002
v.3.0.0.77      Initial EldoS TimelyWeb release
                + error reports;
                + e-mail notifications;
                + Internet Explorer integration


